"""Adapt User model to alaso hash email+ips

Revision ID: 307ebd01aa84
Revises: e4f56f0f81f0
Create Date: 2020-03-25 17:02:53.184974

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '307ebd01aa84'
down_revision = 'e4f56f0f81f0'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('users', 'ip',
               existing_type=postgresql.INET(),
               nullable=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('users', 'ip',
               existing_type=postgresql.INET(),
               nullable=False)
    # ### end Alembic commands ###
